Pre-release v2.9 is now available (Updated 12 August)


  • Improved: Allow electron flag to disable smooth scrolling (#6712 by @joserebelo)
  • Improved: New Embedded Pdf Viewer (#6681 by @asrient)
  • Fixed: Do not encrypt non-owned note if it was not shared encrypted (#6645)
  • Fixed: Fixed broken image links (#6590) (#6570 by @SFulpius)
  • Fixed: Play flac files (#6666) (#6434 by @SFulpius)

  • New: Plugins: Added joplin.versionInfo method (3b35ab6)
  • Improved: Add support for proxy (#6537) (#164 by Jason Williams)
  • Improved: Checkbox don't function while checkbox format button hidden from toolbar (#6567) (#6172 by @SFulpius)
  • Improved: Update to Electron 18 (#6496 by @alexmo1997)
  • Fixed: Allow styling note list items using custom CSS (#6542) (#5178 by Kenichi Kobayashi)
  • Fixed: App can crash with certain combinations of plugins (#6506)
  • Fixed: Search field focus is stolen on layout change (#6514)
  • Fixed: Search field would not clear as expected (#6557)
  • Security: Fixes XSS in GotoAnything dialog (e797ebb)
8 Likes

Tried to run appimage under Linux Mint 2.3 and the program does not run. System Monitor shows it's there, but no display.

Same here under Linux. Sometimes it gets as far as a window with initial menu, but doesn't progress beyond that.

Don't know if this is helpful, an attempt to run from the command line outputs the following:

~ $ ~/.joplin/Joplin.AppImage
xdg-settings: invalid application name
Try 'xdg-settings --help' for more information.
[54572:0812/210241.307725:ERROR:sandbox_linux.cc(377)] InitializeSandbox() called with multiple threads in process gpu-process.

Same for me.

Same for me.
Joplin 2.9.2, Ubuntu 22.10.

The console output is also the same.

@dayfuaim Try 2.9.3 available since 30 minutes.

1 Like

@bepolymathe Yes, I tried.
Thanks very much, everything works. :slight_smile:

Now it's the macOS app that's broken, I'm releasing another version

1 Like

The latest release hopefully should fix all apps: Releases · laurent22/joplin · GitHub

4 Likes

I confirm it’s ok on my side with version 2.9.4 (Fedora).

1 Like

Confirm that it works with Mint 20.3

1 Like